com.mockobjects.constraint

## Class Or

- java.lang.Object
- - com.mockobjects.constraint.Or

All Implemented Interfaces:
  Constraint

    public class Or
    extends java.lang.Object
    implements Constraint

Calculates the logical disjunction of two constraints. Evaluation is shortcut, so that the second constraint is not called if the first constraint returns `true`.

### Constructor Summary

Constructors
Constructor and Description
`Or(Constraint p1, Constraint p2)`

### Method Summary

Methods
`boolean` `eval(java.lang.Object o)` Evaluates the constraint for argument o.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Or

    public Or(Constraint p1,
      Constraint p2)

### Method Detail

#### eval

    public boolean eval(java.lang.Object o)

Description copied from interface: `Constraint`
Evaluates the constraint for argument o.

Specified by:
  `eval` in interface `Constraint`
Returns:
  `true` if o meets the constraint, `false` if it does not.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`